Generation Framework

## org.eclipse.gmf.gmfgraph
Enum FontStyle

    java.lang.Object
      java.lang.Enum<FontStyle>
          org.eclipse.gmf.gmfgraph.FontStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FontStyle>, org.eclipse.emf.common.util.Enumerator

    public enum FontStyle

extends java.lang.Enum<FontStyle>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Font Style', and utility methods for working with them.

See Also:
  `GMFGraphPackage.getFontStyle()`
** Generated **
Model:

Enum Constant Summary
`BOLD_LITERAL` The 'BOLD' literal object
`ITALIC_LITERAL` The 'ITALIC' literal object
`NORMAL_LITERAL` The 'NORMAL' literal object

Field Summary
`static int` `BOLD` The 'BOLD' literal value
`static int` `ITALIC` The 'ITALIC' literal value
`static int` `NORMAL` The 'NORMAL' literal value
`static java.util.List<FontStyle>` `VALUES` A public read-only list of all the 'Font Style' enumerators

Method Summary
`static FontStyle` `get(int value)` Returns the 'Font Style' literal with the specified integer value
`static FontStyle` `get(java.lang.String literal)` Returns the 'Font Style' literal with the specified literal value
`static FontStyle` `getByName(java.lang.String name)` Returns the 'Font Style' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static FontStyle` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FontStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL_LITERAL

    public static final FontStyle NORMAL_LITERAL

  The 'NORMAL' literal object.

  See Also:
    `NORMAL`
  ** Generated **
  Ordered:

### BOLD_LITERAL

    public static final FontStyle BOLD_LITERAL

  The 'BOLD' literal object.

  See Also:
    `BOLD`
  ** Generated **
  Ordered:

### ITALIC_LITERAL

    public static final FontStyle ITALIC_LITERAL

  The 'ITALIC' literal object.

  See Also:
    `ITALIC`
  ** Generated **
  Ordered:

Field Detail

### NORMAL

    public static final int NORMAL

  The 'NORMAL' literal value.

  If the meaning of 'NORMAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NORMAL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### BOLD

    public static final int BOLD

  The 'BOLD' literal value.

  If the meaning of 'BOLD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BOLD_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ITALIC

    public static final int ITALIC

  The 'ITALIC' literal value.

  If the meaning of 'ITALIC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ITALIC_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<FontStyle> VALUES

  A public read-only list of all the 'Font Style' enumerators.

  ** Generated **

Method Detail

### values

    public static FontStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FontStyle c : FontStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FontStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static FontStyle get(java.lang.String literal)

  Returns the 'Font Style' literal with the specified literal value.

  ** Generated **

### getByName

    public static FontStyle getByName(java.lang.String name)

  Returns the 'Font Style' literal with the specified name.

  ** Generated **

### get

    public static FontStyle get(int value)

  Returns the 'Font Style' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<FontStyle>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.